package dev.fyloz.colorrecipesexplorer.service

import dev.fyloz.colorrecipesexplorer.config.annotations.ServiceComponent
import dev.fyloz.colorrecipesexplorer.dtos.RecipeStepDto
import dev.fyloz.colorrecipesexplorer.model.RecipeStep
import dev.fyloz.colorrecipesexplorer.repository.RecipeStepRepository

interface RecipeStepService : Service<RecipeStepDto, RecipeStep, RecipeStepRepository>

@ServiceComponent
class DefaultRecipeStepService(repository: RecipeStepRepository) :
    BaseService<RecipeStepDto, RecipeStep, RecipeStepRepository>(repository), RecipeStepService {
    override fun toDto(entity: RecipeStep) =
        RecipeStepDto(entity.id!!, entity.position, entity.message)

    override fun toEntity(dto: RecipeStepDto) =
        RecipeStep(dto.id, dto.position, dto.message)
}